package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactory;
import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactoryInstaller;

public class FileHelpPeerFactoryInstaller implements ReflectionPeerFactoryInstaller {

    public ReflectionPeerFactory[] createFactories() {
        HelpPeerFactory factory = new HelpPeerFactory();
        
        HelpManagerAssist helpManager = new HelpManagerAssist();
        helpManager.setDecorated(new SimpleHelpManager());
        factory.setHelpManager(helpManager);
        
        return new ReflectionPeerFactory[] {factory};
    }

    public String getName() {
        return "file-help";
    }

}


// Copyright (c) Naked Objects Group Ltd.
