package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.AbstractOneToManyPeer;
import org.nakedobjects.nof.reflect.peer.OneToManyPeer;


public class OneToManyHelp extends AbstractOneToManyPeer {
    private final HelpManager helpManager;

    public OneToManyHelp(final OneToManyPeer local, final HelpManager helpManager) {
        super(local);
        this.helpManager = helpManager;
    }

    public String getHelp() {
        return helpManager == null ? "" : helpManager.help(getIdentifier());
    }
}
// Copyright (c) Naked Objects Group Ltd.
