package org.nakedobjects.nof.reflect.peer;

import org.nakedobjects.noa.adapter.NakedCollection;
import org.nakedobjects.noa.adapter.NakedObject;
import org.nakedobjects.noa.reflect.Consent;


public interface OneToManyPeer extends FieldPeer {
    void addAssociation(NakedObject inObject, NakedObject associate);

    NakedCollection getAssociations(NakedObject inObject);

    void initOneToManyAssociation(NakedObject inObject, NakedObject[] elements);

    public Consent isAddValid(final NakedObject container, final NakedObject element);

    public Consent isRemoveValid(final NakedObject container, final NakedObject element);

    void removeAllAssociations(NakedObject inObject);

    void removeAssociation(NakedObject inObject, NakedObject associate);
}
// Copyright (c) Naked Objects Group Ltd.
