package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.AbstractActionPeer;
import org.nakedobjects.nof.reflect.peer.ActionPeer;


public class ActionHelp extends AbstractActionPeer {
    private final HelpManager helpManager;

    public ActionHelp(final ActionPeer local, final HelpManager helpManager) {
        super(local);
        this.helpManager = helpManager;
    }

    public String getHelp() {
        return helpManager == null ? "" : helpManager.help(getIdentifier());
    }

}
// Copyright (c) Naked Objects Group Ltd.
