package org.nakedobjects.nof.reflect.help;

import org.nakedobjects.nof.reflect.peer.AbstractOneToOnePeer;
import org.nakedobjects.nof.reflect.peer.OneToOnePeer;


public class OneToOneHelp extends AbstractOneToOnePeer {
    private final HelpManager helpManager;

    public OneToOneHelp(final OneToOnePeer local, final HelpManager helpManager) {
        super(local);
        this.helpManager = helpManager;
    }

    public String getHelp() {
        return helpManager == null ? "" : helpManager.help(getIdentifier());
    }

}
// Copyright (c) Naked Objects Group Ltd.
