package org.nakedobjects.nof.reflect.i18n;

import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactory;
import org.nakedobjects.nof.reflect.peer.ReflectionPeerFactoryInstaller;


public class ResourceBasedI18nPeerFactoryInstaller implements ReflectionPeerFactoryInstaller {

    public ReflectionPeerFactory[] createFactories() {
        I18nPeerFactory factory = new I18nPeerFactory();
        factory.setI18nManager(new ResourceBasedI18nManager());
        return new ReflectionPeerFactory[] {factory};
    }

    public String getName() {
        return "resource-i18n";
    }
}

// Copyright (c) Naked Objects Group Ltd.
