package org.nakedobjects.nof.reflect.perspective;

import org.nakedobjects.nof.core.context.Perspective;
import org.nakedobjects.nof.reflect.peer.MemberIdentifier;
import org.nakedobjects.nof.reflect.peer.MemberIdentifierImpl;

class NamePeer extends PerspectiveValuePeer {
   
    public String getName() {
        return "Name";
    }
    
    protected String getValue(Perspective perspective) {
        return perspective.getName();
    }

    public MemberIdentifier getIdentifier() {
        return new MemberIdentifierImpl("", "name");
    }
    
    protected void setValue(Perspective perspective, String value) {
        perspective.setName(value);
    }

}


// Copyright (c) Naked Objects Group Ltd.
